Page MenuHomePhabricator

CodeGen: Cast llvm.flt.rounds result to match __builtin_flt_rounds
ClosedPublic

Authored by edward-jones on Sep 12 2016, 9:14 AM.

Details

Summary

llvm.flt.rounds returns an i32, but the builtin expects an integer. On targets where integers are not 32-bits clang tries to bitcast the result, causing an assertion failure.

Diff Detail

Repository
rL LLVM

Event Timeline

edward-jones retitled this revision from to CodeGen: Cast llvm.flt.rounds result to match __builtin_flt_rounds.
edward-jones updated this object.
edward-jones added a reviewer: rjmccall.
edward-jones added a subscriber: cfe-commits.
rjmccall accepted this revision.Sep 14 2016, 12:38 AM
rjmccall edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Sep 14 2016, 12:38 AM

Awesome, is it possible for someone to commit this on my behalf?

Did this ever get committed?

No, this doesn't seem to have been committed yet.

mskvortsov removed a subscriber: mskvortsov.
mskvortsov added a subscriber: asl.

@asl The change enables to build newlib. Could you commit this?

asl accepted this revision.Jan 17 2019, 7:25 AM

Committed, thanks!

This revision was automatically updated to reflect the committed changes.